Bug 112517 - FILESAVE: DOC: Table is cropped after RT
Summary: FILESAVE: DOC: Table is cropped after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, filter:doc, regression
Depends on:
Blocks:
 
Reported: 2017-09-20 11:03 UTC by Xisco Faulí
Modified: 2017-10-29 20:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (48.00 KB, application/msword)
2017-09-20 11:03 UTC, Xisco Faulí
Details
comparison MSO 2010 and LibreOffice 6.0 (212.21 KB, image/png)
2017-09-20 11:04 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-09-20 11:03:41 UTC
Created attachment 136397 [details]
sample

Steps to reproduce:
1. Open attached document
2. Save it as .DOC
3. Open the new document

Observed behaviour: Some line in the table aren't displayed. See attached image

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 8abc7ba9784f7898576fbdd7a48f0ff9e4445a68
CPU threads: 4; OS: Linux 4.10; UI render: GL; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-09-20 11:04:34 UTC
Created attachment 136398 [details]
comparison MSO 2010 and LibreOffice 6.0
Comment 2 Xisco Faulí 2017-09-20 11:05:56 UTC
Regression introduced by:

author	Justin Luth <justin_luth@sil.org>	2017-08-25 21:53:58 (GMT)
committer	Justin Luth <justin_luth@sil.org>	2017-08-26 01:14:54 (GMT)
commit	fde332fc9d59102749dbeb20f4e78e2233152e1b (patch)
tree	da97ad99edb4478a8697896db32ee0cc4db64ae2
parent	c420f36d9a19bb0b9da5cefa0c1b54b60ccb41a8 (diff)
tdf#32991 DOCexport: MSO-compatible table justification
Although LO could round-trip the files, MSO didn't open
them properly, indicating both import and export differences.

There are two table justification codes: sprmTJc and sprmTJc90.
LO appears to treat sprmTJc90 as the WW8 version, but actually
both are valid.  TJc is the LOGICAL justification - meaning that
it is affected by RTL/LTR settings.  TJc90 is the PHYSICAL
justification, regardless of BiDi.
https://msdn.microsoft.com/en-us/library/dd951612(v=office.12).aspx

Based on testing results, it appears that MSO REQUIRES TJc codes.
If it isn't defined, MSO uses the default value of TJc:LEFT, and
ignores TJc90 code. It appears that MSO always writes out
both codes if they aren't the default values.

This patch only deals with the export difference.

Bisected with bibisect-linux64-6.0

Adding Cc: to Justin Luth
Comment 3 Justin L 2017-09-21 00:28:29 UTC
It seems as if this might have exposed an existing problem. Asking if this fix (https://gerrit.libreoffice.org/42572) is appropriate.
Comment 4 Commit Notification 2017-10-16 08:32:23 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=189b5559b1091a4b72703a79c2e6da41e24f85c6

tdf#112517 ww8export: fix max PAP Fkps

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2017-10-29 20:42:45 UTC
Verified in

Version: 6.0.0.0.alpha1+
Build ID: fc4f2f1b0f8c286e9ae259c44fb249261a8ac47f
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group